%define module_name CLI
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Astro/Time.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Term/ReadLine.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.24
Release: alt2
Summary: CLI.pm_- Simple command line interpreter
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CP/CPHIL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
CLI.pm is a module to create simple command line programs with simple
variable and command settings. It supports settig simple variables,
arrays of values and running commands which use those variables.

The documentation is almost non-existant. This started as a private
project but has been placed on CPAN in case it is usable by others. If
it is the author will attempt to improve the doco. Look at test.pl for
an example of usage. interactive.pl is the same code but runs
interactively for better feeling for how it works.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install
rm -f %buildroot%perl_vendor_privlib/interactive.pl
rm -f %buildroot%perl_vendor_privlib/t.pl

%files
%doc README Changes
%perl_vendor_privlib/C*

%changelog
* Sun Oct 29 2017 Igor Vlasenko <viy@altlinux.ru> 0.24-alt2
- updated summary

* Fri May 22 2015 Igor Vlasenko <viy@altlinux.ru> 0.24-alt1
- initial import by package builder

